spec.describe('Basic assertion test', function() {
    spec.it('should assert true', function() {
        spec.assert(1 == 1);
    });
});

spec.describe('Basic assertion test (pending)', function() {
    spec.xit('would assert true, if it ran', function() {
        spec.assert(1 == 1);
    });
});

spec.describe('Test setting up "before" and "after" making assertion', function() {
    spec.before(function() {
        this.silly_string = "silly";
    });

    spec.it('String defined in spec.before() should be silly.', function() {
        spec.assert(this.silly_string == 'silly');
    });

    spec.after(function() {
        this.silly_string = undefined;
    });

    spec.it('String defined in spec.before() should now be undefined.', function() {
        spec.assert(this.silly_string == undefined);
    });
});

spec.describe('Test assert_raises', function() {
    spec.it('should pass if a catchable exception is thrown.', function() {
        spec.assert_raises(function () {
            arr[1] = '1';
        });
    });
});
