var ran = 0;
var pending = 0;

function AssertionError () { };

AssertionError.prototype.toString = function () {
    return 'AssertionError';
};

this.assert = function(expression) {
    if (!expression)
        throw new AssertionError
    else
        return true;
};

this.describe = function(name, callable) {
    console.log(name);
    callable();
};

this.it = function(name, callable) {
    console.log(" - " + name);
    callable();
    ran = ran+1;
};

this.xit = function(name, callable) {
    console.log("  (PENDING) " + name);
    pending = pending+1;
};

this.before = function(callable) {
    callable();
};

this.after = function(callable) {
    callable();
};

this.assert_raises = function(callable) {
    var error = false;
    try {
        callable();
    } catch (err) { error = true;};

    this.assert(error);
};

this.summary = function() {
    console.log('\nRan ' + ran + ' specs (' + pending + ' pending)');
};
